package com.bonus.material.device.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.device.domain.MaDevQc;

import java.util.List;

/**
 * @Author ma_sh
 * @create 2024/12/5 15:53
 */
public interface MaDevQcService {

    /**
     * 装备质检列表
     * @param maDevQc
     * @return
     */
    List<MaDevQc> selectDevQcList(MaDevQc maDevQc);

    /**
     * 新增设备质检
     * @param maDevQc
     * @return
     */
    AjaxResult insertDevQc(MaDevQc maDevQc);
    AjaxResult addDev(MaDevQc maDevQc);

    /**
     * 删除装备质检
     * @param maDevQc
     * @return
     */
    Integer deleteById(MaDevQc maDevQc);

    List<MaDevQc> selectQcList(MaDevQc maDevQc);

    Integer selectDevQcListByMaId(Integer maId);
}
